LayoutStructure (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.LayoutStructure class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class LayoutStructure

    java.lang.Object
      org.richfaces.component.LayoutStructure

All Implemented Interfaces:
  java.io.Serializable

    public class LayoutStructure

extends java.lang.Object
implements java.io.Serializable

Author:
  asmirnov
See Also:
  Serialized Form

Constructor Summary
`LayoutStructure(UILayout layout)`
`LayoutStructure(UILayoutPanel panel)`

Method Summary
`void` | `calculateWidth()`
`UILayoutPanel` | `getBottom()`
`UILayoutPanel` | `getCenter()`
`int` | `getColumns()`
`int` | `getDeep()`
`UILayoutPanel` | `getLeft()`
`UILayoutPanel` | `getRight()`
`UILayoutPanel` | `getTop()`
`java.lang.String` | `getWidth(UILayoutPanel panel)`
`java.lang.String` | `getWidth(UILayoutPanel panel, float coeeficient)`
`protected int` | `layoutDeep(javax.faces.component.UIComponent component)` Calculate deep of layout components.
`void` | `sortPanels(UILayout layout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutStructure

    public LayoutStructure(UILayout layout)

### LayoutStructure

    public LayoutStructure(UILayoutPanel panel)

Method Detail

### sortPanels

    public void sortPanels(UILayout layout)
                    throws javax.faces.FacesException

  Parameters:
    `layout` -
  Throws:
    `javax.faces.FacesException`

### calculateWidth

    public void calculateWidth()
                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getTop

    public UILayoutPanel getTop()

  Returns:
    the top

### getBottom

    public UILayoutPanel getBottom()

  Returns:
    the bottom

### getLeft

    public UILayoutPanel getLeft()

  Returns:
    the left

### getRight

    public UILayoutPanel getRight()

  Returns:
    the right

### getCenter

    public UILayoutPanel getCenter()

  Returns:
    the center

### getColumns

    public int getColumns()

  Returns:
    the columns

### getWidth

    public java.lang.String getWidth(UILayoutPanel panel)

### getWidth

    public java.lang.String getWidth(UILayoutPanel panel,
                                     float coeeficient)

  Parameters:
    `panel` -
    `coeeficient` -
  Returns:

### layoutDeep

    protected int layoutDeep(javax.faces.component.UIComponent component)

  Calculate deep of layout components.

  Parameters:
    `component` -
  Returns:

### getDeep

    public int getDeep()

  Returns:
    the deep

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.